Bug 1253937 - laptop battery drained completely
laptop battery drained completely
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-15 16:35 EDT by Richard Jasmin
Modified: 2016-07-19 13:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:31:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
base respin of 22- minus gnome3 -plus kde -plus mate (14.81 KB, text/plain)
2015-08-15 16:35 EDT, Richard Jasmin
no flags Details

  None (edit)
Description Richard Jasmin 2015-08-15 16:35:51 EDT
Created attachment 1063308 [details]
base respin of 22- minus gnome3 -plus kde -plus mate

Description of problem:
either the pm-utils are off somewhere or this is a resurgence of a VERY VERY OLD kernel bug.Basically what happens is the battery state is ignored so when a low power condition happens (<10% or less) the battery gets completely drained instead of a graceful poweroff or suspend. There is absolutely no indicator of this condition. Linux just runs the battery to the ground. Battery level is properly indicated in MATE panel. Laptop mode utils are supposed to prevent this from occuring but I cant tell if they are installed at this time as the battery is beyond dead.It will be hours before I can check this.

Version-Release number of selected component (if applicable):
22

How reproducible:
I want to say always.

Steps to Reproduce:
1.do something while on battery (like spin a fedora)
2.ignore the computer or go to bed


Actual results:
absolutely no power, computer not even sleeping or suspended

Expected results:
should be sleeping or suspended or at least able to trigger a power on with power button press.

Additional info:
spinning a fedora does not drain the battery by itself. At least not while using these base image sets.I was respinning 22 when this happened.Bug may also be present in other versions.
Note that battery life is a misnomer, especially on Linux distros which run everything at max power settings.Most users are lucky to get two hours of juice, even on four hour batteries.
Computer was showing at least some signs of power conservation as at least the screen wants to dim itself.
Comment 1 Jaroslav Škarvada 2015-08-17 06:12:22 EDT
pm-utils are deprecated, their tasks are handled by systemd. But this looks like mate power management bug - IIRC there is configuration panel to set actions triggered by low battery charge level. Reassigning to mate-power-manager for further investigation (may be also kernel bug).
Comment 2 Wolfgang Ulbrich 2015-08-17 06:51:02 EDT
old upstream bug.
https://github.com/mate-desktop/mate-power-manager/issues/112
Comment 3 Wolfgang Ulbrich 2015-08-17 11:19:23 EDT
Since upower-0.99 critical-action aren't under control from GUI's like mate-power-manager and mate-settings-daemon, upower does the job now independent.
see /etc/UPower/UPower.conf
Maybe you can change here something.
Reassigning to upower for further investigation (may be also kernel bug).
Comment 4 Fedora End Of Life 2016-07-19 13:31:05 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.